using Inspectron.Settings;
using Inspectron.Settings.Attributes;
using Serilog;
using VisionBuilder.UI.Common;

namespace VisionBuilder.UI.Console;

public class VisionBuilderConsoleSettings:ISettings
{
    public bool UseConsole { get; set; } = false;
    [SettingDescription("Create a console window for non-console application")]
    public bool CreateConsoleWindow { get; set; }
    public void RegisterSettings(InspectronSettings settings)
    {
        settings.RegisterSimple(this, () => this.UseConsole, "Console", nameof(UseConsole));
        settings.RegisterSimple(this, () => this.CreateConsoleWindow, "Console", nameof(CreateConsoleWindow));
    }
}